// Predefined symbols and macros -*- C++ -*-

// Copyright (C) 1997, 1998, 1999, 2000 Cygnus Solutions
//
// This file is part of the GNU ISO C++ Library.  This library is free
// software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option)
// any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License along
// with this library; see the file COPYING.  If not, write to the Free
// Software Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307,
// USA.

// As a special exception, you may use this file as part of a free software
// library without restriction.  Specifically, if other files instantiate
// templates or use macros or inline functions from this file, or you compile
// this file and link it with other files to produce an executable, this
// file does not by itself cause the resulting executable to be covered by
// the GNU General Public License.  This exception does not however
// invalidate any other reasons why the executable file might be covered by
// the GNU General Public License.

#ifndef _CPP_CPPCONFIG
#define _CPP_CPPCONFIG 1

// The current version of the C++ library in compressed ISO date format.
#define __GLIBCPP__ 19991221

// This flag controls the error handling in string, and perhaps other
// bits as time goes on: check out bits/basic_string.h for more
// info. It also helps alleviate the circular dependency between
// string and exception.
# define _GLIBCPP_USE_EXCEPTIONS 1 

// This is necessary until Egcs supports separate template
// compilation.  
#define _GLIBCPP_NO_TEMPLATE_EXPORT 1

// This is a hack around not having either pre-compiled headers or
// export compilation. If defined, the io, string, and valarray
// headers will include all the necessary bits. If not defined, the
// implementation optimizes the headers for the most commonly-used
// types. For the io library, this means that larger, out-of-line
// member functions are only declared, and definitions are not parsed
// by the compiler, but instead instantiated into the library binary.
//#define _GLIBCPP_FULLY_COMPLIANT_HEADERS 1

// Implies the use of the GNU libio library, and the inclusion of libio.h
#define _GLIBCPP_USE_LIBIO 1

// To enable older, ARM-style iostreams and other anachronisms use this.
//#define _GLIBCPP_DEPRICATED 1

// Use corrected code from the committee library group's issues list.
# define _GLIBCPP_RESOLVE_LIB_DEFECTS 1







/* config.h.  Generated automatically by configure.  */
/* config.h.in.  Generated automatically from configure.in by autoheader.  */

/* Define if you have a working `mmap' system call.  */
/* #undef _GLIBCPP_HAVE_MMAP */

// If using the namespace std, you need this. Eventually this should
// not be an option. In the meantime, and as things like std_ctype.h
// need to be hacked out, give people the option. If this is set to 1,
// CXXFLAGS should include -fhonor-std. If this is undefined, CXXFLAGS
// should include -fno-honor-std.
/* #undef _GLIBCPP_USE_NAMESPACES */

// Include support for 'long long' and 'unsigned long long'.
/* #define _GLIBCPP_USE_LONG_LONG 1 */

// Define if the host has a type mbstate_t defined in
// wchar.h, as required by 21.1.3.1. Some systems, namely
// hppa-hp-hpux10.20 do not meet this requirement, and must be worked
// around.
#define _GLIBCPP_NEED_MBSTATE_T 1

// Define if WCHAR_MIN and WCHAR_MAX are in the <cwchar_t>
// header. Presently, this is needed so that solaris won't
// instantitate numeric_limits<wchar_t>
/* #undef _GLIBCPP_HAS_WCHAR_MIN_MAX */

// Define if code specialized for wchar_t should be used.
/* #undef _GLIBCPP_USE_WCHAR_T */

// Define if the compiler/host combination has __builtin_sinf defined.
#define _GLIBCPP_HAS_BUILTIN_SINF 1

// Define if the compiler/host combination has __builtin_cosf defined.
#define _GLIBCPP_HAS_BUILTIN_COSF 1

// Define if the compiler/host combination has __builtin_fabsf defined.
#define _GLIBCPP_HAS_BUILTIN_FABSF 1

// Define if the compiler/host combination has __builtin_fabsf defined.
#define _GLIBCPP_HAS_BUILTIN_SQRTF 1

// Define if GCC support for __complex__ float is buggy.
#define _GLIBCPP_BUGGY_FLOAT_COMPLEX 1

// Define if GCC support for __complex__ is buggy.
#define _GLIBCPP_BUGGY_COMPLEX 1

// Define if LC_MESSAGES is available in <locale.h>.
/* #undef _GLIBCPP_HAVE_LC_MESSAGES */

/* Define if you have the _copysign function.  */
#define _GLIBCPP_HAVE__COPYSIGN 1

/* Define if you have the _copysignl function.  */
/* #undef _GLIBCPP_HAVE__COPYSIGNL */

/* Define if you have the _cosf function.  */
#define _GLIBCPP_HAVE__COSF 1

/* Define if you have the _coshf function.  */
#define _GLIBCPP_HAVE__COSHF 1

/* Define if you have the _fabsf function.  */
#define _GLIBCPP_HAVE__FABSF 1

/* Define if you have the _finite function.  */
#define _GLIBCPP_HAVE__FINITE 1

/* Define if you have the _finitef function.  */
#define _GLIBCPP_HAVE__FINITEF 1

/* Define if you have the _fpclass function.  */
/* #undef _GLIBCPP_HAVE__FPCLASS */

/* Define if you have the _isinf function.  */
#define _GLIBCPP_HAVE__ISINF 1

/* Define if you have the _isinff function.  */
#define _GLIBCPP_HAVE__ISINFF 1

/* Define if you have the _isinfl function.  */
/* #undef _GLIBCPP_HAVE__ISINFL */

/* Define if you have the _isnan function.  */
#define _GLIBCPP_HAVE__ISNAN 1

/* Define if you have the _isnanf function.  */
#define _GLIBCPP_HAVE__ISNANF 1

/* Define if you have the _isnanl function.  */
/* #undef _GLIBCPP_HAVE__ISNANL */

/* Define if you have the _log10f function.  */
#define _GLIBCPP_HAVE__LOG10F 1

/* Define if you have the _logf function.  */
#define _GLIBCPP_HAVE__LOGF 1

/* Define if you have the _modf function.  */
#define _GLIBCPP_HAVE__MODF 1

/* Define if you have the _powf function.  */
#define _GLIBCPP_HAVE__POWF 1

/* Define if you have the _qfinite function.  */
/* #undef _GLIBCPP_HAVE__QFINITE */

/* Define if you have the _qfpclass function.  */
/* #undef _GLIBCPP_HAVE__QFPCLASS */

/* Define if you have the _sincos function.  */
/* #undef _GLIBCPP_HAVE__SINCOS */

/* Define if you have the _sincosf function.  */
/* #undef _GLIBCPP_HAVE__SINCOSF */

/* Define if you have the _sincosl function.  */
/* #undef _GLIBCPP_HAVE__SINCOSL */

/* Define if you have the _sinf function.  */
#define _GLIBCPP_HAVE__SINF 1

/* Define if you have the _sinhf function.  */
#define _GLIBCPP_HAVE__SINHF 1

/* Define if you have the _sqrtf function.  */
#define _GLIBCPP_HAVE__SQRTF 1

/* Define if you have the _strtof function.  */
/* #undef _GLIBCPP_HAVE__STRTOF */

/* Define if you have the _strtold function.  */
/* #undef _GLIBCPP_HAVE__STRTOLD */

/* Define if you have the _tanf function.  */
#define _GLIBCPP_HAVE__TANF 1

/* Define if you have the _tanhf function.  */
#define _GLIBCPP_HAVE__TANHF 1

/* Define if you have the atan2f function.  */
#define _GLIBCPP_HAVE_ATAN2F 1

/* Define if you have the c_log function.  */
/* #undef _GLIBCPP_HAVE_C_LOG */

/* Define if you have the c_logf function.  */
/* #undef _GLIBCPP_HAVE_C_LOGF */

/* Define if you have the c_logl function.  */
/* #undef _GLIBCPP_HAVE_C_LOGL */

/* Define if you have the carg function.  */
/* #undef _GLIBCPP_HAVE_CARG */

/* Define if you have the cargf function.  */
/* #undef _GLIBCPP_HAVE_CARGF */

/* Define if you have the cargl function.  */
/* #undef _GLIBCPP_HAVE_CARGL */

/* Define if you have the ccos function.  */
/* #undef _GLIBCPP_HAVE_CCOS */

/* Define if you have the ccosf function.  */
/* #undef _GLIBCPP_HAVE_CCOSF */

/* Define if you have the ccosh function.  */
/* #undef _GLIBCPP_HAVE_CCOSH */

/* Define if you have the ccoshf function.  */
/* #undef _GLIBCPP_HAVE_CCOSHF */

/* Define if you have the ccoshl function.  */
/* #undef _GLIBCPP_HAVE_CCOSHL */

/* Define if you have the ccosl function.  */
/* #undef _GLIBCPP_HAVE_CCOSL */

/* Define if you have the cexp function.  */
/* #undef _GLIBCPP_HAVE_CEXP */

/* Define if you have the cexpf function.  */
/* #undef _GLIBCPP_HAVE_CEXPF */

/* Define if you have the cexpl function.  */
/* #undef _GLIBCPP_HAVE_CEXPL */

/* Define if you have the clog10 function.  */
/* #undef _GLIBCPP_HAVE_CLOG10 */

/* Define if you have the clog10f function.  */
/* #undef _GLIBCPP_HAVE_CLOG10F */

/* Define if you have the clog10l function.  */
/* #undef _GLIBCPP_HAVE_CLOG10L */

/* Define if you have the copysign function.  */
#define _GLIBCPP_HAVE_COPYSIGN 1

/* Define if you have the copysignf function.  */
#define _GLIBCPP_HAVE_COPYSIGNF 1

/* Define if you have the copysignl function.  */
/* #undef _GLIBCPP_HAVE_COPYSIGNL */

/* Define if you have the cosf function.  */
#define _GLIBCPP_HAVE_COSF 1

/* Define if you have the coshf function.  */
#define _GLIBCPP_HAVE_COSHF 1

/* Define if you have the cpow function.  */
/* #undef _GLIBCPP_HAVE_CPOW */

/* Define if you have the cpowf function.  */
/* #undef _GLIBCPP_HAVE_CPOWF */

/* Define if you have the cpowl function.  */
/* #undef _GLIBCPP_HAVE_CPOWL */

/* Define if you have the csin function.  */
/* #undef _GLIBCPP_HAVE_CSIN */

/* Define if you have the csinf function.  */
/* #undef _GLIBCPP_HAVE_CSINF */

/* Define if you have the csinh function.  */
/* #undef _GLIBCPP_HAVE_CSINH */

/* Define if you have the csinhf function.  */
/* #undef _GLIBCPP_HAVE_CSINHF */

/* Define if you have the csinhl function.  */
/* #undef _GLIBCPP_HAVE_CSINHL */

/* Define if you have the csinl function.  */
/* #undef _GLIBCPP_HAVE_CSINL */

/* Define if you have the csqrt function.  */
/* #undef _GLIBCPP_HAVE_CSQRT */

/* Define if you have the csqrtf function.  */
/* #undef _GLIBCPP_HAVE_CSQRTF */

/* Define if you have the csqrtl function.  */
/* #undef _GLIBCPP_HAVE_CSQRTL */

/* Define if you have the ctan function.  */
/* #undef _GLIBCPP_HAVE_CTAN */

/* Define if you have the ctanf function.  */
/* #undef _GLIBCPP_HAVE_CTANF */

/* Define if you have the ctanh function.  */
/* #undef _GLIBCPP_HAVE_CTANH */

/* Define if you have the ctanhf function.  */
/* #undef _GLIBCPP_HAVE_CTANHF */

/* Define if you have the ctanhl function.  */
/* #undef _GLIBCPP_HAVE_CTANHL */

/* Define if you have the ctanl function.  */
/* #undef _GLIBCPP_HAVE_CTANL */

/* Define if you have the expf function.  */
#define _GLIBCPP_HAVE_EXPF 1

/* Define if you have the fabsf function.  */
#define _GLIBCPP_HAVE_FABSF 1

/* Define if you have the finite function.  */
#define _GLIBCPP_HAVE_FINITE 1

/* Define if you have the fpclass function.  */
/* #undef _GLIBCPP_HAVE_FPCLASS */

/* Define if you have the fqfinite function.  */
/* #undef _GLIBCPP_HAVE_FQFINITE */

/* Define if you have the getpagesize function.  */
#define _GLIBCPP_HAVE_GETPAGESIZE 1

/* Define if you have the hypot function.  */
#define _GLIBCPP_HAVE_HYPOT 1

/* Define if you have the hypotf function.  */
#define _GLIBCPP_HAVE_HYPOTF 1

/* Define if you have the hypotl function.  */
/* #undef _GLIBCPP_HAVE_HYPOTL */

/* Define if you have the isinf function.  */
#define _GLIBCPP_HAVE_ISINF 1

/* Define if you have the isinff function.  */
#define _GLIBCPP_HAVE_ISINFF 1

/* Define if you have the isinfl function.  */
/* #undef _GLIBCPP_HAVE_ISINFL */

/* Define if you have the isnan function.  */
#define _GLIBCPP_HAVE_ISNAN 1

/* Define if you have the isnanf function.  */
#define _GLIBCPP_HAVE_ISNANF 1

/* Define if you have the isnanl function.  */
/* #undef _GLIBCPP_HAVE_ISNANL */

/* Define if you have the log10f function.  */
#define _GLIBCPP_HAVE_LOG10F 1

/* Define if you have the logf function.  */
#define _GLIBCPP_HAVE_LOGF 1

/* Define if you have the modf function.  */
#define _GLIBCPP_HAVE_MODF 1

/* Define if you have the nan function.  */
#define _GLIBCPP_HAVE_NAN 1

/* Define if you have the powf function.  */
#define _GLIBCPP_HAVE_POWF 1

/* Define if you have the qfpclass function.  */
/* #undef _GLIBCPP_HAVE_QFPCLASS */

/* Define if you have the signbitl function.  */
/* #undef _GLIBCPP_HAVE_SIGNBITL */

/* Define if you have the sincos function.  */
/* #undef _GLIBCPP_HAVE_SINCOS */

/* Define if you have the sincosf function.  */
/* #undef _GLIBCPP_HAVE_SINCOSF */

/* Define if you have the sincosl function.  */
/* #undef _GLIBCPP_HAVE_SINCOSL */

/* Define if you have the sinf function.  */
#define _GLIBCPP_HAVE_SINF 1

/* Define if you have the sinhf function.  */
#define _GLIBCPP_HAVE_SINHF 1

/* Define if you have the sqrtf function.  */
#define _GLIBCPP_HAVE_SQRTF 1

/* Define if you have the strtof function.  */
/* #undef _GLIBCPP_HAVE_STRTOF */

/* Define if you have the strtold function.  */
/* #undef _GLIBCPP_HAVE_STRTOLD */

/* Define if you have the tanf function.  */
#define _GLIBCPP_HAVE_TANF 1

/* Define if you have the tanhf function.  */
#define _GLIBCPP_HAVE_TANHF 1

/* Define if you have the wcslen function.  */
#define _GLIBCPP_HAVE_WCSLEN 1

/* Define if you have the wmemchr function.  */
/* #undef _GLIBCPP_HAVE_WMEMCHR */

/* Define if you have the wmemcmp function.  */
/* #undef _GLIBCPP_HAVE_WMEMCMP */

/* Define if you have the wmemcpy function.  */
/* #undef _GLIBCPP_HAVE_WMEMCPY */

/* Define if you have the wmemmove function.  */
/* #undef _GLIBCPP_HAVE_WMEMMOVE */

/* Define if you have the wmemset function.  */
/* #undef _GLIBCPP_HAVE_WMEMSET */

/* Define if you have the <complex.h> header file.  */
/* #undef _GLIBCPP_HAVE_COMPLEX_H */

/* Define if you have the <endian.h> header file.  */
/* #undef _GLIBCPP_HAVE_ENDIAN_H */

/* Define if you have the <float.h> header file.  */
#define _GLIBCPP_HAVE_FLOAT_H 1

/* Define if you have the <fp.h> header file.  */
/* #undef _GLIBCPP_HAVE_FP_H */

/* Define if you have the <ieeefp.h> header file.  */
#define _GLIBCPP_HAVE_IEEEFP_H 1

/* Define if you have the <locale.h> header file.  */
#define _GLIBCPP_HAVE_LOCALE_H 1

/* Define if you have the <machine/endian.h> header file.  */
/* #undef _GLIBCPP_HAVE_MACHINE_ENDIAN_H */

/* Define if you have the <machine/param.h> header file.  */
/* #undef _GLIBCPP_HAVE_MACHINE_PARAM_H */

/* Define if you have the <nan.h> header file.  */
/* #undef _GLIBCPP_HAVE_NAN_H */

/* Define if you have the <sys/isa_defs.h> header file.  */
/* #undef _GLIBCPP_HAVE_SYS_ISA_DEFS_H */

/* Define if you have the <sys/machine.h> header file.  */
/* #undef _GLIBCPP_HAVE_SYS_MACHINE_H */

/* Define if you have the <unistd.h> header file.  */
#define _GLIBCPP_HAVE_UNISTD_H 1

/* Name of package */
#define _GLIBCPP_PACKAGE "libstdc++"

/* Version number of package */
#define _GLIBCPP_VERSION "2.90.8"

//
// Systems that have certain non-standard functions prefixed with an
// underscore, we'll handle those here. Must come after config.h.in.
//

#if defined (_GLIBCPP_HAVE__ISNAN) && ! defined (_GLIBCPP_HAVE_ISNAN)
# define _GLIBCPP_HAVE_ISNAN 1
# define isnan _isnan
#endif

#if defined (_GLIBCPP_HAVE__ISNANF) && ! defined (_GLIBCPP_HAVE_ISNANF)
# define _GLIBCPP_HAVE_ISNANF 1
# define isnanf _isnanf
#endif

#if defined (_GLIBCPP_HAVE__ISNANL) && ! defined (_GLIBCPP_HAVE_ISNANL)
# define _GLIBCPP_HAVE_ISNANL 1
# define isnanl _isnanl
#endif

#if defined (_GLIBCPP_HAVE__ISINF) && ! defined (_GLIBCPP_HAVE_ISINF)
# define _GLIBCPP_HAVE_ISINF 1
# define isinf _isinf
#endif

#if defined (_GLIBCPP_HAVE__ISINFF) && ! defined (_GLIBCPP_HAVE_ISINFF)
# define _GLIBCPP_HAVE_ISINFF 1
# define isinff _isinff
#endif

#if defined (_GLIBCPP_HAVE__ISINFL) && ! defined (_GLIBCPP_HAVE_ISINFL)
# define _GLIBCPP_HAVE_ISINFL 1
# define isinfl _isinfl
#endif

#if defined (_GLIBCPP_HAVE__COPYSIGN) && ! defined (_GLIBCPP_HAVE_COPYSIGN)
# define _GLIBCPP_HAVE_COPYSIGN 1
# define copysign _copysign
#endif

#if defined (_GLIBCPP_HAVE__COPYSIGNL) && ! defined (_GLIBCPP_HAVE_COPYSIGNL)
# define _GLIBCPP_HAVE_COPYSIGNL 1
# define copysignl _copysignl
#endif

#if defined (_GLIBCPP_HAVE__COSF) && ! defined (_GLIBCPP_HAVE_COSF)
# define _GLIBCPP_HAVE_COSF 1
# define cosf _cosf
#endif

#if defined (_GLIBCPP_HAVE__COSHF) && ! defined (_GLIBCPP_HAVE_COSHF)
# define _GLIBCPP_HAVE_COSHF 1
# define coshf _coshf
#endif

#if defined (_GLIBCPP_HAVE__LOGF) && ! defined (_GLIBCPP_HAVE_LOGF)
# define _GLIBCPP_HAVE_LOGF 1
# define logf _logf
#endif

#if defined (_GLIBCPP_HAVE__LOG10F) && ! defined (_GLIBCPP_HAVE_LOG10F)
# define _GLIBCPP_HAVE_LOG10F 1
# define log10f _log10f
#endif

#if defined (_GLIBCPP_HAVE__POWF) && ! defined (_GLIBCPP_HAVE_POWF)
# define _GLIBCPP_HAVE_POWF 1
# define powf _powf
#endif

#if defined (_GLIBCPP_HAVE__SINF) && ! defined (_GLIBCPP_HAVE_SINF)
# define _GLIBCPP_HAVE_SINF 1
# define sinf _sinf
#endif

#if defined (_GLIBCPP_HAVE__SINHF) && ! defined (_GLIBCPP_HAVE_SINHF)
# define _GLIBCPP_HAVE_SINHF 1
# define sinhf _sinhf
#endif

#if defined (_GLIBCPP_HAVE__SQRTF) && ! defined (_GLIBCPP_HAVE_SQRTF)
# define _GLIBCPP_HAVE_SQRTF 1
# define sqrtf _sqrtf
#endif

#if defined (_GLIBCPP_HAVE__TANF) && ! defined (_GLIBCPP_HAVE_TANF)
# define _GLIBCPP_HAVE_TANF 1
# define tanf _tanf
#endif

#if defined (_GLIBCPP_HAVE__TANHF) && ! defined (_GLIBCPP_HAVE_TANHF)
# define _GLIBCPP_HAVE_TANHF 1
# define tanhf _tanhf
#endif

#if defined (_GLIBCPP_HAVE__STRTOF) && ! defined (_GLIBCPP_HAVE_STRTOF)
# define _GLIBCPP_HAVE_STRTOF 1
# define strtof _strtof
#endif

#if defined (_GLIBCPP_HAVE__STRTOLD) && ! defined (_GLIBCPP_HAVE_STRTOLD)
# define _GLIBCPP_HAVE_STRTOLD 1
# define strtold _strtold
#endif

#if defined (_GLIBCPP_HAVE__FABSF) && ! defined (_GLIBCPP_HAVE_FABSF)
# define _GLIBCPP_HAVE_FABSF 1
# define fabsf _fabsf
#endif

#if defined (_GLIBCPP_HAVE__SINCOS) && ! defined (_GLIBCPP_HAVE_SINCOS)
# define _GLIBCPP_HAVE_SINCOS 1
# define sincos _sincos
#endif

#if defined (_GLIBCPP_HAVE__SINCOSF) && ! defined (_GLIBCPP_HAVE_SINCOSF)
# define _GLIBCPP_HAVE_SINCOSF 1
# define sincosf _sincosf
#endif

#if defined (_GLIBCPP_HAVE__SINCOSL) && ! defined (_GLIBCPP_HAVE_SINCOSL)
# define _GLIBCPP_HAVE_SINCOSL 1
# define sincosl _sincosl
#endif

#if defined (_GLIBCPP_HAVE__FINITE) && ! defined (_GLIBCPP_HAVE_FINITE)
# define _GLIBCPP_HAVE_FINITE 1
# define finite _finite
#endif

#if defined (_GLIBCPP_HAVE__QFINITE) && ! defined (_GLIBCPP_HAVE_QFINITE)
# define _GLIBCPP_HAVE_QFINITE 1
# define qfinite _qfinite
#endif

#if defined (_GLIBCPP_HAVE__FPCLASS) && ! defined (_GLIBCPP_HAVE_FPCLASS)
# define _GLIBCPP_HAVE_FPCLASS 1
# define fpclass _fpclass
#endif

#if defined (_GLIBCPP_HAVE__QFPCLASS) && ! defined (_GLIBCPP_HAVE_QFPCLASS)
# define _GLIBCPP_HAVE_QFPCLASS 1
# define qfpclass _qfpclass
#endif


#endif // _CPP_CPPCONFIG_
// Predefined symbols and macros -*- C++ -*-

// Copyright (C) 1997, 1998, 1999, 2000 Cygnus Solutions
//
// This file is part of the GNU ISO C++ Library.  This library is free
// software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option)
// any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License along
// with this library; see the file COPYING.  If not, write to the Free
// Software Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307,
// USA.

// As a special exception, you may use this file as part of a free software
// library without restriction.  Specifically, if other files instantiate
// templates or use macros or inline functions from this file, or you compile
// this file and link it with other files to produce an executable, this
// file does not by itself cause the resulting executable to be covered by
// the GNU General Public License.  This exception does not however
// invalidate any other reasons why the executable file might be covered by
// the GNU General Public License.

#ifndef _CPP_CPPCONFIG
#define _CPP_CPPCONFIG 1

// The current version of the C++ library in compressed ISO date format.
#define __GLIBCPP__ 19991221

// This flag controls the error handling in string, and perhaps other
// bits as time goes on: check out bits/basic_string.h for more
// info. It also helps alleviate the circular dependency between
// string and exception.
# define _GLIBCPP_USE_EXCEPTIONS 1 

// This is necessary until Egcs supports separate template
// compilation.  
#define _GLIBCPP_NO_TEMPLATE_EXPORT 1

// This is a hack around not having either pre-compiled headers or
// export compilation. If defined, the io, string, and valarray
// headers will include all the necessary bits. If not defined, the
// implementation optimizes the headers for the most commonly-used
// types. For the io library, this means that larger, out-of-line
// member functions are only declared, and definitions are not parsed
// by the compiler, but instead instantiated into the library binary.
//#define _GLIBCPP_FULLY_COMPLIANT_HEADERS 1

// Implies the use of the GNU libio library, and the inclusion of libio.h
#define _GLIBCPP_USE_LIBIO 1

// To enable older, ARM-style iostreams and other anachronisms use this.
//#define _GLIBCPP_DEPRICATED 1

// Use corrected code from the committee library group's issues list.
# define _GLIBCPP_RESOLVE_LIB_DEFECTS 1







/* config.h.  Generated automatically by configure.  */
/* config.h.in.  Generated automatically from configure.in by autoheader.  */

/* Define if you have a working `mmap' system call.  */
/* #undef _GLIBCPP_HAVE_MMAP */

// If using the namespace std, you need this. Eventually this should
// not be an option. In the meantime, and as things like std_ctype.h
// need to be hacked out, give people the option. If this is set to 1,
// CXXFLAGS should include -fhonor-std. If this is undefined, CXXFLAGS
// should include -fno-honor-std.
/* #undef _GLIBCPP_USE_NAMESPACES */

// Include support for 'long long' and 'unsigned long long'.
#define _GLIBCPP_USE_LONG_LONG 1

// Define if the host has a type mbstate_t defined in
// wchar.h, as required by 21.1.3.1. Some systems, namely
// hppa-hp-hpux10.20 do not meet this requirement, and must be worked
// around.
#define _GLIBCPP_NEED_MBSTATE_T 1

// Define if WCHAR_MIN and WCHAR_MAX are in the <cwchar_t>
// header. Presently, this is needed so that solaris won't
// instantitate numeric_limits<wchar_t>
/* #undef _GLIBCPP_HAS_WCHAR_MIN_MAX */

// Define if code specialized for wchar_t should be used.
/* #undef _GLIBCPP_USE_WCHAR_T */

// Define if the compiler/host combination has __builtin_sinf defined.
#define _GLIBCPP_HAS_BUILTIN_SINF 1

// Define if the compiler/host combination has __builtin_cosf defined.
#define _GLIBCPP_HAS_BUILTIN_COSF 1

// Define if the compiler/host combination has __builtin_fabsf defined.
#define _GLIBCPP_HAS_BUILTIN_FABSF 1

// Define if the compiler/host combination has __builtin_fabsf defined.
#define _GLIBCPP_HAS_BUILTIN_SQRTF 1

// Define if GCC support for __complex__ float is buggy.
#define _GLIBCPP_BUGGY_FLOAT_COMPLEX 1

// Define if GCC support for __complex__ is buggy.
#define _GLIBCPP_BUGGY_COMPLEX 1

// Define if LC_MESSAGES is available in <locale.h>.
/* #undef _GLIBCPP_HAVE_LC_MESSAGES */

/* Define if you have the _copysign function.  */
#define _GLIBCPP_HAVE__COPYSIGN 1

/* Define if you have the _copysignl function.  */
/* #undef _GLIBCPP_HAVE__COPYSIGNL */

/* Define if you have the _cosf function.  */
#define _GLIBCPP_HAVE__COSF 1

/* Define if you have the _coshf function.  */
#define _GLIBCPP_HAVE__COSHF 1

/* Define if you have the _fabsf function.  */
#define _GLIBCPP_HAVE__FABSF 1

/* Define if you have the _finite function.  */
#define _GLIBCPP_HAVE__FINITE 1

/* Define if you have the _finitef function.  */
#define _GLIBCPP_HAVE__FINITEF 1

/* Define if you have the _fpclass function.  */
/* #undef _GLIBCPP_HAVE__FPCLASS */

/* Define if you have the _isinf function.  */
#define _GLIBCPP_HAVE__ISINF 1

/* Define if you have the _isinff function.  */
#define _GLIBCPP_HAVE__ISINFF 1

/* Define if you have the _isinfl function.  */
/* #undef _GLIBCPP_HAVE__ISINFL */

/* Define if you have the _isnan function.  */
#define _GLIBCPP_HAVE__ISNAN 1

/* Define if you have the _isnanf function.  */
#define _GLIBCPP_HAVE__ISNANF 1

/* Define if you have the _isnanl function.  */
/* #undef _GLIBCPP_HAVE__ISNANL */

/* Define if you have the _log10f function.  */
#define _GLIBCPP_HAVE__LOG10F 1

/* Define if you have the _logf function.  */
#define _GLIBCPP_HAVE__LOGF 1

/* Define if you have the _modf function.  */
#define _GLIBCPP_HAVE__MODF 1

/* Define if you have the _powf function.  */
#define _GLIBCPP_HAVE__POWF 1

/* Define if you have the _qfinite function.  */
/* #undef _GLIBCPP_HAVE__QFINITE */

/* Define if you have the _qfpclass function.  */
/* #undef _GLIBCPP_HAVE__QFPCLASS */

/* Define if you have the _sincos function.  */
/* #undef _GLIBCPP_HAVE__SINCOS */

/* Define if you have the _sincosf function.  */
/* #undef _GLIBCPP_HAVE__SINCOSF */

/* Define if you have the _sincosl function.  */
/* #undef _GLIBCPP_HAVE__SINCOSL */

/* Define if you have the _sinf function.  */
#define _GLIBCPP_HAVE__SINF 1

/* Define if you have the _sinhf function.  */
#define _GLIBCPP_HAVE__SINHF 1

/* Define if you have the _sqrtf function.  */
#define _GLIBCPP_HAVE__SQRTF 1

/* Define if you have the _strtof function.  */
/* #undef _GLIBCPP_HAVE__STRTOF */

/* Define if you have the _strtold function.  */
/* #undef _GLIBCPP_HAVE__STRTOLD */

/* Define if you have the _tanf function.  */
#define _GLIBCPP_HAVE__TANF 1

/* Define if you have the _tanhf function.  */
#define _GLIBCPP_HAVE__TANHF 1

/* Define if you have the atan2f function.  */
#define _GLIBCPP_HAVE_ATAN2F 1

/* Define if you have the c_log function.  */
/* #undef _GLIBCPP_HAVE_C_LOG */

/* Define if you have the c_logf function.  */
/* #undef _GLIBCPP_HAVE_C_LOGF */

/* Define if you have the c_logl function.  */
/* #undef _GLIBCPP_HAVE_C_LOGL */

/* Define if you have the carg function.  */
/* #undef _GLIBCPP_HAVE_CARG */

/* Define if you have the cargf function.  */
/* #undef _GLIBCPP_HAVE_CARGF */

/* Define if you have the cargl function.  */
/* #undef _GLIBCPP_HAVE_CARGL */

/* Define if you have the ccos function.  */
/* #undef _GLIBCPP_HAVE_CCOS */

/* Define if you have the ccosf function.  */
/* #undef _GLIBCPP_HAVE_CCOSF */

/* Define if you have the ccosh function.  */
/* #undef _GLIBCPP_HAVE_CCOSH */

/* Define if you have the ccoshf function.  */
/* #undef _GLIBCPP_HAVE_CCOSHF */

/* Define if you have the ccoshl function.  */
/* #undef _GLIBCPP_HAVE_CCOSHL */

/* Define if you have the ccosl function.  */
/* #undef _GLIBCPP_HAVE_CCOSL */

/* Define if you have the cexp function.  */
/* #undef _GLIBCPP_HAVE_CEXP */

/* Define if you have the cexpf function.  */
/* #undef _GLIBCPP_HAVE_CEXPF */

/* Define if you have the cexpl function.  */
/* #undef _GLIBCPP_HAVE_CEXPL */

/* Define if you have the clog10 function.  */
/* #undef _GLIBCPP_HAVE_CLOG10 */

/* Define if you have the clog10f function.  */
/* #undef _GLIBCPP_HAVE_CLOG10F */

/* Define if you have the clog10l function.  */
/* #undef _GLIBCPP_HAVE_CLOG10L */

/* Define if you have the copysign function.  */
#define _GLIBCPP_HAVE_COPYSIGN 1

/* Define if you have the copysignf function.  */
#define _GLIBCPP_HAVE_COPYSIGNF 1

/* Define if you have the copysignl function.  */
/* #undef _GLIBCPP_HAVE_COPYSIGNL */

/* Define if you have the cosf function.  */
#define _GLIBCPP_HAVE_COSF 1

/* Define if you have the coshf function.  */
#define _GLIBCPP_HAVE_COSHF 1

/* Define if you have the cpow function.  */
/* #undef _GLIBCPP_HAVE_CPOW */

/* Define if you have the cpowf function.  */
/* #undef _GLIBCPP_HAVE_CPOWF */

/* Define if you have the cpowl function.  */
/* #undef _GLIBCPP_HAVE_CPOWL */

/* Define if you have the csin function.  */
/* #undef _GLIBCPP_HAVE_CSIN */

/* Define if you have the csinf function.  */
/* #undef _GLIBCPP_HAVE_CSINF */

/* Define if you have the csinh function.  */
/* #undef _GLIBCPP_HAVE_CSINH */

/* Define if you have the csinhf function.  */
/* #undef _GLIBCPP_HAVE_CSINHF */

/* Define if you have the csinhl function.  */
/* #undef _GLIBCPP_HAVE_CSINHL */

/* Define if you have the csinl function.  */
/* #undef _GLIBCPP_HAVE_CSINL */

/* Define if you have the csqrt function.  */
/* #undef _GLIBCPP_HAVE_CSQRT */

/* Define if you have the csqrtf function.  */
/* #undef _GLIBCPP_HAVE_CSQRTF */

/* Define if you have the csqrtl function.  */
/* #undef _GLIBCPP_HAVE_CSQRTL */

/* Define if you have the ctan function.  */
/* #undef _GLIBCPP_HAVE_CTAN */

/* Define if you have the ctanf function.  */
/* #undef _GLIBCPP_HAVE_CTANF */

/* Define if you have the ctanh function.  */
/* #undef _GLIBCPP_HAVE_CTANH */

/* Define if you have the ctanhf function.  */
/* #undef _GLIBCPP_HAVE_CTANHF */

/* Define if you have the ctanhl function.  */
/* #undef _GLIBCPP_HAVE_CTANHL */

/* Define if you have the ctanl function.  */
/* #undef _GLIBCPP_HAVE_CTANL */

/* Define if you have the expf function.  */
#define _GLIBCPP_HAVE_EXPF 1

/* Define if you have the fabsf function.  */
#define _GLIBCPP_HAVE_FABSF 1

/* Define if you have the finite function.  */
#define _GLIBCPP_HAVE_FINITE 1

/* Define if you have the fpclass function.  */
/* #undef _GLIBCPP_HAVE_FPCLASS */

/* Define if you have the fqfinite function.  */
/* #undef _GLIBCPP_HAVE_FQFINITE */

/* Define if you have the getpagesize function.  */
#define _GLIBCPP_HAVE_GETPAGESIZE 1

/* Define if you have the hypot function.  */
#define _GLIBCPP_HAVE_HYPOT 1

/* Define if you have the hypotf function.  */
#define _GLIBCPP_HAVE_HYPOTF 1

/* Define if you have the hypotl function.  */
/* #undef _GLIBCPP_HAVE_HYPOTL */

/* Define if you have the isinf function.  */
#define _GLIBCPP_HAVE_ISINF 1

/* Define if you have the isinff function.  */
#define _GLIBCPP_HAVE_ISINFF 1

/* Define if you have the isinfl function.  */
/* #undef _GLIBCPP_HAVE_ISINFL */

/* Define if you have the isnan function.  */
#define _GLIBCPP_HAVE_ISNAN 1

/* Define if you have the isnanf function.  */
#define _GLIBCPP_HAVE_ISNANF 1

/* Define if you have the isnanl function.  */
/* #undef _GLIBCPP_HAVE_ISNANL */

/* Define if you have the log10f function.  */
#define _GLIBCPP_HAVE_LOG10F 1

/* Define if you have the logf function.  */
#define _GLIBCPP_HAVE_LOGF 1

/* Define if you have the modf function.  */
#define _GLIBCPP_HAVE_MODF 1

/* Define if you have the nan function.  */
#define _GLIBCPP_HAVE_NAN 1

/* Define if you have the powf function.  */
#define _GLIBCPP_HAVE_POWF 1

/* Define if you have the qfpclass function.  */
/* #undef _GLIBCPP_HAVE_QFPCLASS */

/* Define if you have the signbitl function.  */
/* #undef _GLIBCPP_HAVE_SIGNBITL */

/* Define if you have the sincos function.  */
/* #undef _GLIBCPP_HAVE_SINCOS */

/* Define if you have the sincosf function.  */
/* #undef _GLIBCPP_HAVE_SINCOSF */

/* Define if you have the sincosl function.  */
/* #undef _GLIBCPP_HAVE_SINCOSL */

/* Define if you have the sinf function.  */
#define _GLIBCPP_HAVE_SINF 1

/* Define if you have the sinhf function.  */
#define _GLIBCPP_HAVE_SINHF 1

/* Define if you have the sqrtf function.  */
#define _GLIBCPP_HAVE_SQRTF 1

/* Define if you have the strtof function.  */
/* #undef _GLIBCPP_HAVE_STRTOF */

/* Define if you have the strtold function.  */
/* #undef _GLIBCPP_HAVE_STRTOLD */

/* Define if you have the tanf function.  */
#define _GLIBCPP_HAVE_TANF 1

/* Define if you have the tanhf function.  */
#define _GLIBCPP_HAVE_TANHF 1

/* Define if you have the wcslen function.  */
#define _GLIBCPP_HAVE_WCSLEN 1

/* Define if you have the wmemchr function.  */
/* #undef _GLIBCPP_HAVE_WMEMCHR */

/* Define if you have the wmemcmp function.  */
/* #undef _GLIBCPP_HAVE_WMEMCMP */

/* Define if you have the wmemcpy function.  */
/* #undef _GLIBCPP_HAVE_WMEMCPY */

/* Define if you have the wmemmove function.  */
/* #undef _GLIBCPP_HAVE_WMEMMOVE */

/* Define if you have the wmemset function.  */
/* #undef _GLIBCPP_HAVE_WMEMSET */

/* Define if you have the <complex.h> header file.  */
/* #undef _GLIBCPP_HAVE_COMPLEX_H */

/* Define if you have the <endian.h> header file.  */
/* #undef _GLIBCPP_HAVE_ENDIAN_H */

/* Define if you have the <float.h> header file.  */
#define _GLIBCPP_HAVE_FLOAT_H 1

/* Define if you have the <fp.h> header file.  */
/* #undef _GLIBCPP_HAVE_FP_H */

/* Define if you have the <ieeefp.h> header file.  */
#define _GLIBCPP_HAVE_IEEEFP_H 1

/* Define if you have the <locale.h> header file.  */
#define _GLIBCPP_HAVE_LOCALE_H 1

/* Define if you have the <machine/endian.h> header file.  */
/* #undef _GLIBCPP_HAVE_MACHINE_ENDIAN_H */

/* Define if you have the <machine/param.h> header file.  */
/* #undef _GLIBCPP_HAVE_MACHINE_PARAM_H */

/* Define if you have the <nan.h> header file.  */
/* #undef _GLIBCPP_HAVE_NAN_H */

/* Define if you have the <sys/isa_defs.h> header file.  */
/* #undef _GLIBCPP_HAVE_SYS_ISA_DEFS_H */

/* Define if you have the <sys/machine.h> header file.  */
/* #undef _GLIBCPP_HAVE_SYS_MACHINE_H */

/* Define if you have the <unistd.h> header file.  */
#define _GLIBCPP_HAVE_UNISTD_H 1

/* Name of package */
#define _GLIBCPP_PACKAGE "libstdc++"

/* Version number of package */
#define _GLIBCPP_VERSION "2.90.8"

//
// Systems that have certain non-standard functions prefixed with an
// underscore, we'll handle those here. Must come after config.h.in.
//

#if defined (_GLIBCPP_HAVE__ISNAN) && ! defined (_GLIBCPP_HAVE_ISNAN)
# define _GLIBCPP_HAVE_ISNAN 1
# define isnan _isnan
#endif

#if defined (_GLIBCPP_HAVE__ISNANF) && ! defined (_GLIBCPP_HAVE_ISNANF)
# define _GLIBCPP_HAVE_ISNANF 1
# define isnanf _isnanf
#endif

#if defined (_GLIBCPP_HAVE__ISNANL) && ! defined (_GLIBCPP_HAVE_ISNANL)
# define _GLIBCPP_HAVE_ISNANL 1
# define isnanl _isnanl
#endif

#if defined (_GLIBCPP_HAVE__ISINF) && ! defined (_GLIBCPP_HAVE_ISINF)
# define _GLIBCPP_HAVE_ISINF 1
# define isinf _isinf
#endif

#if defined (_GLIBCPP_HAVE__ISINFF) && ! defined (_GLIBCPP_HAVE_ISINFF)
# define _GLIBCPP_HAVE_ISINFF 1
# define isinff _isinff
#endif

#if defined (_GLIBCPP_HAVE__ISINFL) && ! defined (_GLIBCPP_HAVE_ISINFL)
# define _GLIBCPP_HAVE_ISINFL 1
# define isinfl _isinfl
#endif

#if defined (_GLIBCPP_HAVE__COPYSIGN) && ! defined (_GLIBCPP_HAVE_COPYSIGN)
# define _GLIBCPP_HAVE_COPYSIGN 1
# define copysign _copysign
#endif

#if defined (_GLIBCPP_HAVE__COPYSIGNL) && ! defined (_GLIBCPP_HAVE_COPYSIGNL)
# define _GLIBCPP_HAVE_COPYSIGNL 1
# define copysignl _copysignl
#endif

#if defined (_GLIBCPP_HAVE__COSF) && ! defined (_GLIBCPP_HAVE_COSF)
# define _GLIBCPP_HAVE_COSF 1
# define cosf _cosf
#endif

#if defined (_GLIBCPP_HAVE__COSHF) && ! defined (_GLIBCPP_HAVE_COSHF)
# define _GLIBCPP_HAVE_COSHF 1
# define coshf _coshf
#endif

#if defined (_GLIBCPP_HAVE__LOGF) && ! defined (_GLIBCPP_HAVE_LOGF)
# define _GLIBCPP_HAVE_LOGF 1
# define logf _logf
#endif

#if defined (_GLIBCPP_HAVE__LOG10F) && ! defined (_GLIBCPP_HAVE_LOG10F)
# define _GLIBCPP_HAVE_LOG10F 1
# define log10f _log10f
#endif

#if defined (_GLIBCPP_HAVE__POWF) && ! defined (_GLIBCPP_HAVE_POWF)
# define _GLIBCPP_HAVE_POWF 1
# define powf _powf
#endif

#if defined (_GLIBCPP_HAVE__SINF) && ! defined (_GLIBCPP_HAVE_SINF)
# define _GLIBCPP_HAVE_SINF 1
# define sinf _sinf
#endif

#if defined (_GLIBCPP_HAVE__SINHF) && ! defined (_GLIBCPP_HAVE_SINHF)
# define _GLIBCPP_HAVE_SINHF 1
# define sinhf _sinhf
#endif

#if defined (_GLIBCPP_HAVE__SQRTF) && ! defined (_GLIBCPP_HAVE_SQRTF)
# define _GLIBCPP_HAVE_SQRTF 1
# define sqrtf _sqrtf
#endif

#if defined (_GLIBCPP_HAVE__TANF) && ! defined (_GLIBCPP_HAVE_TANF)
# define _GLIBCPP_HAVE_TANF 1
# define tanf _tanf
#endif

#if defined (_GLIBCPP_HAVE__TANHF) && ! defined (_GLIBCPP_HAVE_TANHF)
# define _GLIBCPP_HAVE_TANHF 1
# define tanhf _tanhf
#endif

#if defined (_GLIBCPP_HAVE__STRTOF) && ! defined (_GLIBCPP_HAVE_STRTOF)
# define _GLIBCPP_HAVE_STRTOF 1
# define strtof _strtof
#endif

#if defined (_GLIBCPP_HAVE__STRTOLD) && ! defined (_GLIBCPP_HAVE_STRTOLD)
# define _GLIBCPP_HAVE_STRTOLD 1
# define strtold _strtold
#endif

#if defined (_GLIBCPP_HAVE__FABSF) && ! defined (_GLIBCPP_HAVE_FABSF)
# define _GLIBCPP_HAVE_FABSF 1
# define fabsf _fabsf
#endif

#if defined (_GLIBCPP_HAVE__SINCOS) && ! defined (_GLIBCPP_HAVE_SINCOS)
# define _GLIBCPP_HAVE_SINCOS 1
# define sincos _sincos
#endif

#if defined (_GLIBCPP_HAVE__SINCOSF) && ! defined (_GLIBCPP_HAVE_SINCOSF)
# define _GLIBCPP_HAVE_SINCOSF 1
# define sincosf _sincosf
#endif

#if defined (_GLIBCPP_HAVE__SINCOSL) && ! defined (_GLIBCPP_HAVE_SINCOSL)
# define _GLIBCPP_HAVE_SINCOSL 1
# define sincosl _sincosl
#endif

#if defined (_GLIBCPP_HAVE__FINITE) && ! defined (_GLIBCPP_HAVE_FINITE)
# define _GLIBCPP_HAVE_FINITE 1
# define finite _finite
#endif

#if defined (_GLIBCPP_HAVE__QFINITE) && ! defined (_GLIBCPP_HAVE_QFINITE)
# define _GLIBCPP_HAVE_QFINITE 1
# define qfinite _qfinite
#endif

#if defined (_GLIBCPP_HAVE__FPCLASS) && ! defined (_GLIBCPP_HAVE_FPCLASS)
# define _GLIBCPP_HAVE_FPCLASS 1
# define fpclass _fpclass
#endif

#if defined (_GLIBCPP_HAVE__QFPCLASS) && ! defined (_GLIBCPP_HAVE_QFPCLASS)
# define _GLIBCPP_HAVE_QFPCLASS 1
# define qfpclass _qfpclass
#endif


#endif // _CPP_CPPCONFIG_
// Predefined symbols and macros -*- C++ -*-

// Copyright (C) 1997, 1998, 1999, 2000 Cygnus Solutions
//
// This file is part of the GNU ISO C++ Library.  This library is free
// software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option)
// any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License along
// with this library; see the file COPYING.  If not, write to the Free
// Software Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307,
// USA.

// As a special exception, you may use this file as part of a free software
// library without restriction.  Specifically, if other files instantiate
// templates or use macros or inline functions from this file, or you compile
// this file and link it with other files to produce an executable, this
// file does not by itself cause the resulting executable to be covered by
// the GNU General Public License.  This exception does not however
// invalidate any other reasons why the executable file might be covered by
// the GNU General Public License.

#ifndef _CPP_CPPCONFIG
#define _CPP_CPPCONFIG 1

// The current version of the C++ library in compressed ISO date format.
#define __GLIBCPP__ 19991221

// This flag controls the error handling in string, and perhaps other
// bits as time goes on: check out bits/basic_string.h for more
// info. It also helps alleviate the circular dependency between
// string and exception.
# define _GLIBCPP_USE_EXCEPTIONS 1 

// This is necessary until Egcs supports separate template
// compilation.  
#define _GLIBCPP_NO_TEMPLATE_EXPORT 1

// This is a hack around not having either pre-compiled headers or
// export compilation. If defined, the io, string, and valarray
// headers will include all the necessary bits. If not defined, the
// implementation optimizes the headers for the most commonly-used
// types. For the io library, this means that larger, out-of-line
// member functions are only declared, and definitions are not parsed
// by the compiler, but instead instantiated into the library binary.
//#define _GLIBCPP_FULLY_COMPLIANT_HEADERS 1

// Implies the use of the GNU libio library, and the inclusion of libio.h
#define _GLIBCPP_USE_LIBIO 1

// To enable older, ARM-style iostreams and other anachronisms use this.
//#define _GLIBCPP_DEPRICATED 1

// Use corrected code from the committee library group's issues list.
# define _GLIBCPP_RESOLVE_LIB_DEFECTS 1







/* config.h.  Generated automatically by configure.  */
/* config.h.in.  Generated automatically from configure.in by autoheader.  */

/* Define if you have a working `mmap' system call.  */
/* #undef _GLIBCPP_HAVE_MMAP */

// If using the namespace std, you need this. Eventually this should
// not be an option. In the meantime, and as things like std_ctype.h
// need to be hacked out, give people the option. If this is set to 1,
// CXXFLAGS should include -fhonor-std. If this is undefined, CXXFLAGS
// should include -fno-honor-std.
/* #undef _GLIBCPP_USE_NAMESPACES */

// Include support for 'long long' and 'unsigned long long'.
#define _GLIBCPP_USE_LONG_LONG 1

// Define if the host has a type mbstate_t defined in
// wchar.h, as required by 21.1.3.1. Some systems, namely
// hppa-hp-hpux10.20 do not meet this requirement, and must be worked
// around.
#define _GLIBCPP_NEED_MBSTATE_T 1

// Define if WCHAR_MIN and WCHAR_MAX are in the <cwchar_t>
// header. Presently, this is needed so that solaris won't
// instantitate numeric_limits<wchar_t>
/* #undef _GLIBCPP_HAS_WCHAR_MIN_MAX */

// Define if code specialized for wchar_t should be used.
/* #undef _GLIBCPP_USE_WCHAR_T */

// Define if the compiler/host combination has __builtin_sinf defined.
#define _GLIBCPP_HAS_BUILTIN_SINF 1

// Define if the compiler/host combination has __builtin_cosf defined.
#define _GLIBCPP_HAS_BUILTIN_COSF 1

// Define if the compiler/host combination has __builtin_fabsf defined.
#define _GLIBCPP_HAS_BUILTIN_FABSF 1

// Define if the compiler/host combination has __builtin_fabsf defined.
#define _GLIBCPP_HAS_BUILTIN_SQRTF 1

// Define if GCC support for __complex__ float is buggy.
#define _GLIBCPP_BUGGY_FLOAT_COMPLEX 1

// Define if GCC support for __complex__ is buggy.
#define _GLIBCPP_BUGGY_COMPLEX 1

// Define if LC_MESSAGES is available in <locale.h>.
/* #undef _GLIBCPP_HAVE_LC_MESSAGES */

/* Define if you have the _copysign function.  */
#define _GLIBCPP_HAVE__COPYSIGN 1

/* Define if you have the _copysignl function.  */
/* #undef _GLIBCPP_HAVE__COPYSIGNL */

/* Define if you have the _cosf function.  */
#define _GLIBCPP_HAVE__COSF 1

/* Define if you have the _coshf function.  */
#define _GLIBCPP_HAVE__COSHF 1

/* Define if you have the _fabsf function.  */
#define _GLIBCPP_HAVE__FABSF 1

/* Define if you have the _finite function.  */
#define _GLIBCPP_HAVE__FINITE 1

/* Define if you have the _finitef function.  */
#define _GLIBCPP_HAVE__FINITEF 1

/* Define if you have the _fpclass function.  */
/* #undef _GLIBCPP_HAVE__FPCLASS */

/* Define if you have the _isinf function.  */
#define _GLIBCPP_HAVE__ISINF 1

/* Define if you have the _isinff function.  */
#define _GLIBCPP_HAVE__ISINFF 1

/* Define if you have the _isinfl function.  */
/* #undef _GLIBCPP_HAVE__ISINFL */

/* Define if you have the _isnan function.  */
#define _GLIBCPP_HAVE__ISNAN 1

/* Define if you have the _isnanf function.  */
#define _GLIBCPP_HAVE__ISNANF 1

/* Define if you have the _isnanl function.  */
/* #undef _GLIBCPP_HAVE__ISNANL */

/* Define if you have the _log10f function.  */
#define _GLIBCPP_HAVE__LOG10F 1

/* Define if you have the _logf function.  */
#define _GLIBCPP_HAVE__LOGF 1

/* Define if you have the _modf function.  */
#define _GLIBCPP_HAVE__MODF 1

/* Define if you have the _powf function.  */
#define _GLIBCPP_HAVE__POWF 1

/* Define if you have the _qfinite function.  */
/* #undef _GLIBCPP_HAVE__QFINITE */

/* Define if you have the _qfpclass function.  */
/* #undef _GLIBCPP_HAVE__QFPCLASS */

/* Define if you have the _sincos function.  */
/* #undef _GLIBCPP_HAVE__SINCOS */

/* Define if you have the _sincosf function.  */
/* #undef _GLIBCPP_HAVE__SINCOSF */

/* Define if you have the _sincosl function.  */
/* #undef _GLIBCPP_HAVE__SINCOSL */

/* Define if you have the _sinf function.  */
#define _GLIBCPP_HAVE__SINF 1

/* Define if you have the _sinhf function.  */
#define _GLIBCPP_HAVE__SINHF 1

/* Define if you have the _sqrtf function.  */
#define _GLIBCPP_HAVE__SQRTF 1

/* Define if you have the _strtof function.  */
/* #undef _GLIBCPP_HAVE__STRTOF */

/* Define if you have the _strtold function.  */
/* #undef _GLIBCPP_HAVE__STRTOLD */

/* Define if you have the _tanf function.  */
#define _GLIBCPP_HAVE__TANF 1

/* Define if you have the _tanhf function.  */
#define _GLIBCPP_HAVE__TANHF 1

/* Define if you have the atan2f function.  */
#define _GLIBCPP_HAVE_ATAN2F 1

/* Define if you have the c_log function.  */
/* #undef _GLIBCPP_HAVE_C_LOG */

/* Define if you have the c_logf function.  */
/* #undef _GLIBCPP_HAVE_C_LOGF */

/* Define if you have the c_logl function.  */
/* #undef _GLIBCPP_HAVE_C_LOGL */

/* Define if you have the carg function.  */
/* #undef _GLIBCPP_HAVE_CARG */

/* Define if you have the cargf function.  */
/* #undef _GLIBCPP_HAVE_CARGF */

/* Define if you have the cargl function.  */
/* #undef _GLIBCPP_HAVE_CARGL */

/* Define if you have the ccos function.  */
/* #undef _GLIBCPP_HAVE_CCOS */

/* Define if you have the ccosf function.  */
/* #undef _GLIBCPP_HAVE_CCOSF */

/* Define if you have the ccosh function.  */
/* #undef _GLIBCPP_HAVE_CCOSH */

/* Define if you have the ccoshf function.  */
/* #undef _GLIBCPP_HAVE_CCOSHF */

/* Define if you have the ccoshl function.  */
/* #undef _GLIBCPP_HAVE_CCOSHL */

/* Define if you have the ccosl function.  */
/* #undef _GLIBCPP_HAVE_CCOSL */

/* Define if you have the cexp function.  */
/* #undef _GLIBCPP_HAVE_CEXP */

/* Define if you have the cexpf function.  */
/* #undef _GLIBCPP_HAVE_CEXPF */

/* Define if you have the cexpl function.  */
/* #undef _GLIBCPP_HAVE_CEXPL */

/* Define if you have the clog10 function.  */
/* #undef _GLIBCPP_HAVE_CLOG10 */

/* Define if you have the clog10f function.  */
/* #undef _GLIBCPP_HAVE_CLOG10F */

/* Define if you have the clog10l function.  */
/* #undef _GLIBCPP_HAVE_CLOG10L */

/* Define if you have the copysign function.  */
#define _GLIBCPP_HAVE_COPYSIGN 1

/* Define if you have the copysignf function.  */
#define _GLIBCPP_HAVE_COPYSIGNF 1

/* Define if you have the copysignl function.  */
/* #undef _GLIBCPP_HAVE_COPYSIGNL */

/* Define if you have the cosf function.  */
#define _GLIBCPP_HAVE_COSF 1

/* Define if you have the coshf function.  */
#define _GLIBCPP_HAVE_COSHF 1

/* Define if you have the cpow function.  */
/* #undef _GLIBCPP_HAVE_CPOW */

/* Define if you have the cpowf function.  */
/* #undef _GLIBCPP_HAVE_CPOWF */

/* Define if you have the cpowl function.  */
/* #undef _GLIBCPP_HAVE_CPOWL */

/* Define if you have the csin function.  */
/* #undef _GLIBCPP_HAVE_CSIN */

/* Define if you have the csinf function.  */
/* #undef _GLIBCPP_HAVE_CSINF */

/* Define if you have the csinh function.  */
/* #undef _GLIBCPP_HAVE_CSINH */

/* Define if you have the csinhf function.  */
/* #undef _GLIBCPP_HAVE_CSINHF */

/* Define if you have the csinhl function.  */
/* #undef _GLIBCPP_HAVE_CSINHL */

/* Define if you have the csinl function.  */
/* #undef _GLIBCPP_HAVE_CSINL */

/* Define if you have the csqrt function.  */
/* #undef _GLIBCPP_HAVE_CSQRT */

/* Define if you have the csqrtf function.  */
/* #undef _GLIBCPP_HAVE_CSQRTF */

/* Define if you have the csqrtl function.  */
/* #undef _GLIBCPP_HAVE_CSQRTL */

/* Define if you have the ctan function.  */
/* #undef _GLIBCPP_HAVE_CTAN */

/* Define if you have the ctanf function.  */
/* #undef _GLIBCPP_HAVE_CTANF */

/* Define if you have the ctanh function.  */
/* #undef _GLIBCPP_HAVE_CTANH */

/* Define if you have the ctanhf function.  */
/* #undef _GLIBCPP_HAVE_CTANHF */

/* Define if you have the ctanhl function.  */
/* #undef _GLIBCPP_HAVE_CTANHL */

/* Define if you have the ctanl function.  */
/* #undef _GLIBCPP_HAVE_CTANL */

/* Define if you have the expf function.  */
#define _GLIBCPP_HAVE_EXPF 1

/* Define if you have the fabsf function.  */
#define _GLIBCPP_HAVE_FABSF 1

/* Define if you have the finite function.  */
#define _GLIBCPP_HAVE_FINITE 1

/* Define if you have the fpclass function.  */
/* #undef _GLIBCPP_HAVE_FPCLASS */

/* Define if you have the fqfinite function.  */
/* #undef _GLIBCPP_HAVE_FQFINITE */

/* Define if you have the getpagesize function.  */
#define _GLIBCPP_HAVE_GETPAGESIZE 1

/* Define if you have the hypot function.  */
#define _GLIBCPP_HAVE_HYPOT 1

/* Define if you have the hypotf function.  */
#define _GLIBCPP_HAVE_HYPOTF 1

/* Define if you have the hypotl function.  */
/* #undef _GLIBCPP_HAVE_HYPOTL */

/* Define if you have the isinf function.  */
#define _GLIBCPP_HAVE_ISINF 1

/* Define if you have the isinff function.  */
#define _GLIBCPP_HAVE_ISINFF 1

/* Define if you have the isinfl function.  */
/* #undef _GLIBCPP_HAVE_ISINFL */

/* Define if you have the isnan function.  */
#define _GLIBCPP_HAVE_ISNAN 1

/* Define if you have the isnanf function.  */
#define _GLIBCPP_HAVE_ISNANF 1

/* Define if you have the isnanl function.  */
/* #undef _GLIBCPP_HAVE_ISNANL */

/* Define if you have the log10f function.  */
#define _GLIBCPP_HAVE_LOG10F 1

/* Define if you have the logf function.  */
#define _GLIBCPP_HAVE_LOGF 1

/* Define if you have the modf function.  */
#define _GLIBCPP_HAVE_MODF 1

/* Define if you have the nan function.  */
#define _GLIBCPP_HAVE_NAN 1

/* Define if you have the powf function.  */
#define _GLIBCPP_HAVE_POWF 1

/* Define if you have the qfpclass function.  */
/* #undef _GLIBCPP_HAVE_QFPCLASS */

/* Define if you have the signbitl function.  */
/* #undef _GLIBCPP_HAVE_SIGNBITL */

/* Define if you have the sincos function.  */
/* #undef _GLIBCPP_HAVE_SINCOS */

/* Define if you have the sincosf function.  */
/* #undef _GLIBCPP_HAVE_SINCOSF */

/* Define if you have the sincosl function.  */
/* #undef _GLIBCPP_HAVE_SINCOSL */

/* Define if you have the sinf function.  */
#define _GLIBCPP_HAVE_SINF 1

/* Define if you have the sinhf function.  */
#define _GLIBCPP_HAVE_SINHF 1

/* Define if you have the sqrtf function.  */
#define _GLIBCPP_HAVE_SQRTF 1

/* Define if you have the strtof function.  */
/* #undef _GLIBCPP_HAVE_STRTOF */

/* Define if you have the strtold function.  */
/* #undef _GLIBCPP_HAVE_STRTOLD */

/* Define if you have the tanf function.  */
#define _GLIBCPP_HAVE_TANF 1

/* Define if you have the tanhf function.  */
#define _GLIBCPP_HAVE_TANHF 1

/* Define if you have the wcslen function.  */
#define _GLIBCPP_HAVE_WCSLEN 1

/* Define if you have the wmemchr function.  */
/* #undef _GLIBCPP_HAVE_WMEMCHR */

/* Define if you have the wmemcmp function.  */
/* #undef _GLIBCPP_HAVE_WMEMCMP */

/* Define if you have the wmemcpy function.  */
/* #undef _GLIBCPP_HAVE_WMEMCPY */

/* Define if you have the wmemmove function.  */
/* #undef _GLIBCPP_HAVE_WMEMMOVE */

/* Define if you have the wmemset function.  */
/* #undef _GLIBCPP_HAVE_WMEMSET */

/* Define if you have the <complex.h> header file.  */
/* #undef _GLIBCPP_HAVE_COMPLEX_H */

/* Define if you have the <endian.h> header file.  */
/* #undef _GLIBCPP_HAVE_ENDIAN_H */

/* Define if you have the <float.h> header file.  */
#define _GLIBCPP_HAVE_FLOAT_H 1

/* Define if you have the <fp.h> header file.  */
/* #undef _GLIBCPP_HAVE_FP_H */

/* Define if you have the <ieeefp.h> header file.  */
#define _GLIBCPP_HAVE_IEEEFP_H 1

/* Define if you have the <locale.h> header file.  */
#define _GLIBCPP_HAVE_LOCALE_H 1

/* Define if you have the <machine/endian.h> header file.  */
/* #undef _GLIBCPP_HAVE_MACHINE_ENDIAN_H */

/* Define if you have the <machine/param.h> header file.  */
/* #undef _GLIBCPP_HAVE_MACHINE_PARAM_H */

/* Define if you have the <nan.h> header file.  */
/* #undef _GLIBCPP_HAVE_NAN_H */

/* Define if you have the <sys/isa_defs.h> header file.  */
/* #undef _GLIBCPP_HAVE_SYS_ISA_DEFS_H */

/* Define if you have the <sys/machine.h> header file.  */
/* #undef _GLIBCPP_HAVE_SYS_MACHINE_H */

/* Define if you have the <unistd.h> header file.  */
#define _GLIBCPP_HAVE_UNISTD_H 1

/* Name of package */
#define _GLIBCPP_PACKAGE "libstdc++"

/* Version number of package */
#define _GLIBCPP_VERSION "2.90.8"

//
// Systems that have certain non-standard functions prefixed with an
// underscore, we'll handle those here. Must come after config.h.in.
//

#if defined (_GLIBCPP_HAVE__ISNAN) && ! defined (_GLIBCPP_HAVE_ISNAN)
# define _GLIBCPP_HAVE_ISNAN 1
# define isnan _isnan
#endif

#if defined (_GLIBCPP_HAVE__ISNANF) && ! defined (_GLIBCPP_HAVE_ISNANF)
# define _GLIBCPP_HAVE_ISNANF 1
# define isnanf _isnanf
#endif

#if defined (_GLIBCPP_HAVE__ISNANL) && ! defined (_GLIBCPP_HAVE_ISNANL)
# define _GLIBCPP_HAVE_ISNANL 1
# define isnanl _isnanl
#endif

#if defined (_GLIBCPP_HAVE__ISINF) && ! defined (_GLIBCPP_HAVE_ISINF)
# define _GLIBCPP_HAVE_ISINF 1
# define isinf _isinf
#endif

#if defined (_GLIBCPP_HAVE__ISINFF) && ! defined (_GLIBCPP_HAVE_ISINFF)
# define _GLIBCPP_HAVE_ISINFF 1
# define isinff _isinff
#endif

#if defined (_GLIBCPP_HAVE__ISINFL) && ! defined (_GLIBCPP_HAVE_ISINFL)
# define _GLIBCPP_HAVE_ISINFL 1
# define isinfl _isinfl
#endif

#if defined (_GLIBCPP_HAVE__COPYSIGN) && ! defined (_GLIBCPP_HAVE_COPYSIGN)
# define _GLIBCPP_HAVE_COPYSIGN 1
# define copysign _copysign
#endif

#if defined (_GLIBCPP_HAVE__COPYSIGNL) && ! defined (_GLIBCPP_HAVE_COPYSIGNL)
# define _GLIBCPP_HAVE_COPYSIGNL 1
# define copysignl _copysignl
#endif

#if defined (_GLIBCPP_HAVE__COSF) && ! defined (_GLIBCPP_HAVE_COSF)
# define _GLIBCPP_HAVE_COSF 1
# define cosf _cosf
#endif

#if defined (_GLIBCPP_HAVE__COSHF) && ! defined (_GLIBCPP_HAVE_COSHF)
# define _GLIBCPP_HAVE_COSHF 1
# define coshf _coshf
#endif

#if defined (_GLIBCPP_HAVE__LOGF) && ! defined (_GLIBCPP_HAVE_LOGF)
# define _GLIBCPP_HAVE_LOGF 1
# define logf _logf
#endif

#if defined (_GLIBCPP_HAVE__LOG10F) && ! defined (_GLIBCPP_HAVE_LOG10F)
# define _GLIBCPP_HAVE_LOG10F 1
# define log10f _log10f
#endif

#if defined (_GLIBCPP_HAVE__POWF) && ! defined (_GLIBCPP_HAVE_POWF)
# define _GLIBCPP_HAVE_POWF 1
# define powf _powf
#endif

#if defined (_GLIBCPP_HAVE__SINF) && ! defined (_GLIBCPP_HAVE_SINF)
# define _GLIBCPP_HAVE_SINF 1
# define sinf _sinf
#endif

#if defined (_GLIBCPP_HAVE__SINHF) && ! defined (_GLIBCPP_HAVE_SINHF)
# define _GLIBCPP_HAVE_SINHF 1
# define sinhf _sinhf
#endif

#if defined (_GLIBCPP_HAVE__SQRTF) && ! defined (_GLIBCPP_HAVE_SQRTF)
# define _GLIBCPP_HAVE_SQRTF 1
# define sqrtf _sqrtf
#endif

#if defined (_GLIBCPP_HAVE__TANF) && ! defined (_GLIBCPP_HAVE_TANF)
# define _GLIBCPP_HAVE_TANF 1
# define tanf _tanf
#endif

#if defined (_GLIBCPP_HAVE__TANHF) && ! defined (_GLIBCPP_HAVE_TANHF)
# define _GLIBCPP_HAVE_TANHF 1
# define tanhf _tanhf
#endif

#if defined (_GLIBCPP_HAVE__STRTOF) && ! defined (_GLIBCPP_HAVE_STRTOF)
# define _GLIBCPP_HAVE_STRTOF 1
# define strtof _strtof
#endif

#if defined (_GLIBCPP_HAVE__STRTOLD) && ! defined (_GLIBCPP_HAVE_STRTOLD)
# define _GLIBCPP_HAVE_STRTOLD 1
# define strtold _strtold
#endif

#if defined (_GLIBCPP_HAVE__FABSF) && ! defined (_GLIBCPP_HAVE_FABSF)
# define _GLIBCPP_HAVE_FABSF 1
# define fabsf _fabsf
#endif

#if defined (_GLIBCPP_HAVE__SINCOS) && ! defined (_GLIBCPP_HAVE_SINCOS)
# define _GLIBCPP_HAVE_SINCOS 1
# define sincos _sincos
#endif

#if defined (_GLIBCPP_HAVE__SINCOSF) && ! defined (_GLIBCPP_HAVE_SINCOSF)
# define _GLIBCPP_HAVE_SINCOSF 1
# define sincosf _sincosf
#endif

#if defined (_GLIBCPP_HAVE__SINCOSL) && ! defined (_GLIBCPP_HAVE_SINCOSL)
# define _GLIBCPP_HAVE_SINCOSL 1
# define sincosl _sincosl
#endif

#if defined (_GLIBCPP_HAVE__FINITE) && ! defined (_GLIBCPP_HAVE_FINITE)
# define _GLIBCPP_HAVE_FINITE 1
# define finite _finite
#endif

#if defined (_GLIBCPP_HAVE__QFINITE) && ! defined (_GLIBCPP_HAVE_QFINITE)
# define _GLIBCPP_HAVE_QFINITE 1
# define qfinite _qfinite
#endif

#if defined (_GLIBCPP_HAVE__FPCLASS) && ! defined (_GLIBCPP_HAVE_FPCLASS)
# define _GLIBCPP_HAVE_FPCLASS 1
# define fpclass _fpclass
#endif

#if defined (_GLIBCPP_HAVE__QFPCLASS) && ! defined (_GLIBCPP_HAVE_QFPCLASS)
# define _GLIBCPP_HAVE_QFPCLASS 1
# define qfpclass _qfpclass
#endif


#endif // _CPP_CPPCONFIG_
